/// <reference types="node" />
import * as React from 'react';
import { EventEmitter } from 'events';
export declare const onChange: EventEmitter;
export declare function translate(x: number, y: number, emitChanges?: boolean): void;
export declare function scale(factor: number, emitChanges?: boolean): void;
export declare function rotate(radians: number, emitChanges?: boolean): void;
export declare function transformedPoint(x: number, y: number): DOMPoint;
export declare function getMatrix(): DOMMatrix;
export declare function reset(): boolean;
export declare function getDistance(touch1: React.Touch, touch2: React.Touch): number;
